import { Observable } from 'rxjs';
import { OverlayRef } from '@angular/cdk/overlay';
import { Location } from '@angular/common';
import { NtModalComponent } from './modal.component';
export declare class NtModalRef<T, R = any> {
    private _overlayRef;
    private _containerInstance;
    readonly id: string;
    componentInstance: T;
    closable: boolean | undefined;
    private _afterOpen;
    private _afterClosed;
    private _beforeClose;
    private _result;
    private _locationChanges;
    constructor(_overlayRef: OverlayRef, _containerInstance: NtModalComponent, location?: Location, id?: string);
    close(modalResult?: R): void;
    afterOpen(): Observable<void>;
    afterClosed(): Observable<R | undefined>;
    beforeClose(): Observable<R | undefined>;
    backdropClick(): Observable<MouseEvent>;
    keydownEvents(): Observable<KeyboardEvent>;
    updateSize(width?: string, height?: string): this;
    private _getPositionStrategy;
}
